Eclipse GEF 3.3

## org.eclipse.gef.handles
Class ConnectionEndHandle

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.gef.handles.AbstractHandle
              org.eclipse.gef.handles.SquareHandle
                  org.eclipse.gef.handles.ConnectionHandle
                      org.eclipse.gef.handles.ConnectionEndpointHandle
                          org.eclipse.gef.handles.ConnectionEndHandle

All Implemented Interfaces:
  AncestorListener, java.util.EventListener, Handle, IFigure, java.beans.PropertyChangeListener

Deprecated. use `ConnectionEndpointHandle`

public final class ConnectionEndHandle
extends ConnectionEndpointHandle

A handle used at the end of the `Connection`. This is treated differently than the start of the Connection.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.AncestorListener
`AncestorListener.Stub`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.gef.handles.SquareHandle
`DEFAULT_HANDLE_SIZE`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ConnectionEndHandle()` Deprecated. Creates a new ConnectionEndHandle.
`ConnectionEndHandle(ConnectionEditPart owner)` Deprecated. Creates a new ConnectionEndHandle, sets its owner to `owner`, and sets its locator to a `ConnectionLocator`.
`ConnectionEndHandle(ConnectionEditPart owner, boolean fixed)` Deprecated. Creates a new ConnectionEndHandle with its owner set to `owner`.

Methods inherited from class org.eclipse.gef.handles.ConnectionEndpointHandle
`createDragTracker`

Methods inherited from class org.eclipse.gef.handles.ConnectionHandle
`addNotify, getConnection, isFixed, propertyChange, removeNotify, setFixed`

Methods inherited from class org.eclipse.gef.handles.SquareHandle
`getBorderColor, getFillColor, init, isPrimary, paintFigure`

Methods inherited from class org.eclipse.gef.handles.AbstractHandle
`ancestorAdded, ancestorMoved, ancestorRemoved, getAccessibleLocation, getDragCursor, getDragTracker, getLocator, getOwner, getOwnerFigure, setDragCursor, setDragTracker, setLocator, setOwner, validate`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionEndHandle

    public ConnectionEndHandle(ConnectionEditPart owner)

  Deprecated.
  Creates a new ConnectionEndHandle, sets its owner to `owner`, and sets its locator to a `ConnectionLocator`.

Parameters:
  `owner` - the ConnectionEditPart owner

### ConnectionEndHandle

    public ConnectionEndHandle(ConnectionEditPart owner,
                               boolean fixed)

  Deprecated.
  Creates a new ConnectionEndHandle with its owner set to `owner`. If the handle is fixed, it cannot be dragged.

Parameters:
  `owner` - the ConnectionEditPart owner
  `fixed` - if true, handle cannot be dragged

### ConnectionEndHandle

    public ConnectionEndHandle()

  Deprecated.
  Creates a new ConnectionEndHandle.

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.